> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a new tag

> Create a new tag within a namespace



## OpenAPI

````yaml /api-specs/cloud/taxonomy-api.yaml post /tags
openapi: 3.0.0
info:
  contact:
    email: support@dominodatalab.com
    name: Domino Data Lab
    url: https://tickets.dominodatalab.com/hc/en-us
  description: Microservice responsible for managing the Domino Taxonomy feature
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  termsOfService: http://swagger.io/terms/
  title: Domino Taxonomy Microservice API
  version: '1.0'
servers:
  - url: https://mycluster.domino.tech
    description: >-
      Replace 'mycluster.domino.tech' with your Domino cluster hostname. For
      Domino Cloud customers, that is <your-subdomain>.domino.tech (e.g.,
      acme.domino.tech). For self-hosted deployments, it is the hostname you
      reach the Domino UI at.
security: []
externalDocs:
  description: OpenAPI
  url: https://swagger.io/resources/open-api/
paths:
  /tags:
    post:
      tags:
        - tags
      summary: Create a new tag
      description: Create a new tag within a namespace
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/server.CreateTagRequest'
        description: Tag to create
        required: true
      responses:
        '201':
          description: Created
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/taxonomy.Tag'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/server.HTTPError'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/server.HTTPError'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/server.HTTPError'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/server.HTTPError'
        '409':
          description: Conflict
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/server.HTTPError'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/server.HTTPError'
components:
  schemas:
    server.CreateTagRequest:
      properties:
        description:
          type: string
        label:
          type: string
        namespaceId:
          type: string
        parentId:
          type: string
      required:
        - label
        - namespaceId
      type: object
    taxonomy.Tag:
      properties:
        children:
          items:
            $ref: '#/components/schemas/taxonomy.Tag'
          type: array
        createdAt:
          type: string
        createdBy:
          $ref: '#/components/schemas/taxonomy.User'
        description:
          type: string
        entityCount:
          $ref: '#/components/schemas/taxonomy.EntityCountByType'
        fullPath:
          items:
            type: string
          type: array
        id:
          type: string
        label:
          type: string
        namespaceId:
          type: string
        namespaceLabel:
          type: string
        parentId:
          type: string
        status:
          $ref: '#/components/schemas/taxonomy.TagStatus'
        updatedAt:
          type: string
        updatedBy:
          $ref: '#/components/schemas/taxonomy.User'
      type: object
    server.HTTPError:
      properties:
        message:
          type: string
      type: object
    taxonomy.User:
      properties:
        userID:
          type: string
        username:
          type: string
      type: object
    taxonomy.EntityCountByType:
      properties:
        app:
          type: integer
        netappVolume:
          type: integer
        project:
          type: integer
        total:
          type: integer
      type: object
    taxonomy.TagStatus:
      enum:
        - active
        - deprecated
      type: string
      x-enum-varnames:
        - TagStatusActive
        - TagStatusDeprecated

````